Create user

Creates a new user

Path Params
string
required
  • The uuid or url_name the location in which to create the user
Body Params
string

The first name of the user

string

The last name of the user

string

The access control list for the user

string

A desired display name for the user, normally used in interfaces. If not supplied will default to firstName + lastName

string

The phone number of the user. If not supplied the user will be created as a restricted user with limited permission

string

The POS pin for the user. The length of the pin should match the length configured for the location

number

The pay rate of the user in the smallest unit of the currency of the location. Used as the default pay rate of any supplied user roles. Has no effect if userRoles is not supplied

userRoles
array of objects

The user roles for the user. Must match an existing role at the location

userRoles
boolean

Whether to send a SMS to the created user. Defaults to false

string

The email address of the user

Response
200

Successful response

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here!